Subject: bug#6058: 22 and 23: yanking unreliable in telnet-mode

From: David Reitter <[email-masked]>
Date: Tue, 27 Apr 2010 21:36:49 -0400

This seems to be in Emacs 22 (Carbon) as well as Emacs 23 (NS).

Begin forwarded message:

> From: Warren Harris <[email-masked]>
> Date: April 27, 2010 6:41:53 PM EDT
> To: Bug reports for Aquamacs Emacs <[email-masked]>
> Cc: David Reitter <[email-masked]>
> Subject: Re: [Aquamacs-bugs] text becomes mangled in telnet mode
> 
> [resend]
> 
> This problem still persists in 2.0b5 and the nightly build from 4/22.
> 
> Warren
> 
> On Jan 13, 2010, at 11:49 AM, David Reitter wrote:
> 
>> Warren,
>> this should not occur at all, of course.
>> Could you please try this with a nightly build of Aquamacs (save and move away your customizations, please), so I can forward your bug report to the Emacs maintainers?
>> 
>> Thanks
>> - David
>> 
>> 
>> On Jan 5, 2010, at 3:46 PM, Warren Harris wrote:
>> 
>>> I regularly bring up telnet sessions under Aquamacs (with M-x telnet). This is nice because I can paste a large multiline block of text into the buffer and edit it before positioning my cursor at the end, and hitting return to submit it to the remote process. However, after submitting it, the text in the buffer that was submitted often becomes badly mangled -- large chunks of it seem to be dropped out, or pieces get rearranged somehow. It is not possible to cut&paste it any more since it is now irreparably changed (although the previously submitted text can be yanked back with M-p (creating a new block at the cursor location)).
>>> 
>>> I've gotten used to dealing with this behavior over time, but last night I saw a very similar problem in my shell window too. I ran a command that produced a considerable amount of output including utf-8 characters. Scrolling back through the output in my buffer showed many display glitches -- text was arbitrary dropped out in places or rearranged. However, in this case, C-l was able to restore the correct text (so perhaps this is a different problem -- display bug rather than the text in the buffer actually being munged as it is telnet windows).
>>> 
>>> Warren
>>> 
>>> 
>>> In GNU Emacs 22.3.1 (i386-apple-darwin9.8.0, Carbon Version 1.6.0)
>>> of 2009-09-29 on braeburn.aquamacs.org - Aquamacs Distribution 1.9
>>> Windowing system distributor `Apple Inc.', version 10.5.8
>>> configured using `configure  '--without-x' '--prefix=/usr/local' 'CFLAGS=-DMAC_OS_X_VERSION_MIN_REQUIRED=1040 -g -O9 -mtune=nocona -pipe -fomit-frame-pointer''
>>> 
>>> Important settings:
>>> value of $LC_ALL: nil
>>> value of $LC_COLLATE: nil
>>> value of $LC_CTYPE: nil
>>> value of $LC_MESSAGES: nil
>>> value of $LC_MONETARY: nil
>>> value of $LC_NUMERIC: nil
>>> value of $LC_TIME: nil
>>> value of $LANG: nil
>>> locale-coding-system: iso-8859-1
>>> default-enable-multibyte-characters: t
>>> 
>>> Major mode: Shell
>>> 
>>> Minor modes in effect:
>>> shell-dirtrack-mode: t
>>> savehist-mode: t
>>> smart-frame-positioning-mode: t
>>> aquamacs-autoface-mode: t
>>> global-visual-line-mode: t
>>> visual-line-mode: t
>>> recentf-mode: t
>>> encoded-kbd-mode: t
>>> osx-key-mode: t
>>> show-paren-mode: t
>>> delete-selection-mode: t
>>> pc-selection-mode: t
>>> cua-mode: t
>>> tooltip-mode: t
>>> mouse-wheel-mode: t
>>> menu-bar-mode: t
>>> file-name-shadow-mode: t
>>> global-font-lock-mode: t
>>> font-lock-mode: t
>>> blink-cursor-mode: t
>>> unify-8859-on-encoding-mode: t
>>> utf-translate-cjk-mode: t
>>> auto-compression-mode: t
>>> column-number-mode: t
>>> line-number-mode: t
>>> transient-mark-mode: t
>>> 
>>> Recent input:
>>> <help-echo> C-x C-f L i b <tab> A p <tab> <M-backspace>
>>> <M-backspace> L i b <tab> P r e <tab> A q <tab> / <tab>
>>> <tab> P r e <tab> <return> C-x C-f <return> C-n C-n
>>> C-n C-n C-n f C-s b a r C-s C-s C-s C-s C-s C-s C-s
>>> C-a C-x 3 C-x C-b C-x o C-n C-n C-n C-p C-p f C-n f
>>> C-n C-n C-n C-e C-a C-x k <return> C-n f C-x k <return>
>>> C-n f C-x k <return> C-p C-p C-p C-p f C-x k <return>
>>> C-p f C-x k <return> <help-echo> <down-mouse-1> <mouse-1>
>>> C-a <f5> <menu-bar> <help-menu> <bug-diagnosis> <send-emacs-bug-report>
>>> <wheel-down> <double-wheel-down> <triple-wheel-down>
>>> <wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
>>> <S-return> <A-return> <A-S-return> <A-S-return> <menu-bar>
>>> <help-menu> <bug-diagnosis> <send-emacs-bug-report>
>>> <menu-bar> <help-menu> <bug-diagnosis> <send-emacs
>>> -bug-report>
>>> 
>>> Recent messages:
>>> Mark set [2 times]
>>> Sending...
>>> Loading mailclient...done
>>> Loading browse-url...done
>>> Sending...done
>>> byte-code: Beginning of buffer
>>> Press <A-S-return> to exit full screen editing.
>>> Truncate long lines disabled
>>> Mark set [2 times]
>>> Sending...done
>>> 
>>> Command line: (/Applications/Aquamacs Emacs.app/Contents/MacOS/Aquamacs Emacs)
>>> 
>>> PATH: /Users/warren/metaweb/mwbuild3/_work/gd/graphutil:/opt/local/bin:/Users/warren/bin:/Users/warren/godi/bin:/Users/warren/godi/sbin:/usr/local/bin:/opt/local/lib/postgresql83/bin:/sw/bin:/Users/warren/metaweb/mwbuild3/_work/gd/graphutil:/opt/local/bin:/Users/warren/bin:/Users/warren/godi/bin:/Users/warren/godi/sbin:/usr/local/bin:/opt/local/lib/postgresql83/bin:/sw/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/Users/warren/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin
>>> 
>>> exec-path: (/Users/warren/metaweb/mwbuild3/_work/gd/graphutil /opt/local/bin /Users/warren/bin /Users/warren/godi/bin /Users/warren/godi/sbin /usr/local/bin /opt/local/lib/postgresql83/bin /sw/bin /Users/warren/metaweb/mwbuild3/_work/gd/graphutil /opt/local/bin /Users/warren/bin /Users/warren/godi/bin /Users/warren/godi/sbin /usr/local/bin /opt/local/lib/postgresql83/bin /sw/bin /usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/X11/bin /Users/warren/bin /usr/bin /bin /usr/sbin /sbin /Applications/Aquamacs Emacs.app/Contents/MacOS/libexec /Applications/Aquamacs Emacs.app/Contents/MacOS/bin /usr/texbin)
>>> _______________________________________________
>>> Aquamacs-bugs mailing list
>>> [email-masked]
>>> http://lists.aquamacs.org/mailman/listinfo.cgi/aquamacs-bugs
>> 
>